#include <Arduino.h>

// ************** KNiXuino - KNX Bus and Arduino ****************
// for further info check http://www.knixuino.com
// Version info - _readme.txt
// Copyright info - _licence.txt
// Do not remove this headerinfo !!!!


#include "KNXConnection.h"
#include "KNXObjectDefinitions.h"
#include "KNXCommandSequence.h"

KNXCommandSequence testSequence;


void setup() {
  Serial.begin(9600);
  Serial.println("Ready ! ");
  objectSettings();
  
  testSequence.setInternalBit(1);
  testSequence.add(eg_buero, 1, 0);
  testSequence.add(eg_buero, 0, 10);
  testSequence.add(eg_buero, 1, 20);
  testSequence.add(eg_buero, 0, 30);
  testSequence.add(eg_buero, 1, 40);
}

void loop() {
  testSequence.doIt();
}

void serialEvent()
{
  char ch = Serial.read();
  if (ch == 't') testSequence.on();
  if (ch == 's') testSequence.print();
  
} // end keyboardInput


