#include <Arduino.h>

// ************** KNiXuino - KNX Bus and Arduino ****************
// for further info check http://www.knixuino.com
// Version info - _readme.txt
// Copyright info - _licence.txt
// Do not remove this headerinfo !!!!


// Writes a simple on/off command to a GroupAddress.
// Change Group Address in the 2nd line to a light nearby 
// and switch on and off by
// entering 0 and 1 into your serial monitor.

#include "KNXConnection.h"

uint16_t group = ga(1,2,1);

KNXConnection knx;  

void setup() {
  Serial.begin(9600);
  Serial.println("Ready ! Switch on and off by entering 0 and 1 ...");
}

void loop() {
}

void serialEvent()
{
  char ch = Serial.read();
  if (ch == '0') knx.write(group, 0, 1);
  if (ch == '1') knx.write(group, 1, 1);
} // end keyboardInput


