#include <Arduino.h>

// ************** KNiXuino - KNX Bus and Arduino ****************
// for further info check http://www.knixuino.com
// Version info - _readme.txt
// Copyright info - _licence.txt
// Do not remove this headerinfo !!!!


#include "KNXObject.h"
#include "KNXObjectDefinitions.h"

const int relaisPin1 = 10;


void setup() {
  Serial.begin(9600);
  Serial.println("Ready ! ");
  objectSettings();
  pinMode(relaisPin1, OUTPUT);
}


void loop() {

  if (eg_buero()) {
    digitalWrite(relaisPin1, HIGH);
  }
  else {
    digitalWrite(relaisPin1, LOW);
   }
  delay(50);
}


void serialEvent()
{
  char ch = Serial.read();
  if (ch == '0') eg_buero.off();
  if (ch == '1') eg_buero.on();  
} // end keyboardInput
